/*********************************************************************/
/* unia.c       v 1.0      by J.Sobczyk IAPW       1993.04.26  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Unia                                                              */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl unia_tbl =
  {
    { '\x86',  'a' },
    { '\x95',  'c' },
    { '\x82',  'e' },
    { '\x91',  'l' },
    { '\xA4',  'n' },
    { '\x94',  'o' },
    { '\x84',  's' },
    { '\xA8',  'x' },
    { '\x81',  'z' },
    { '\x8F',  'A' },
    { '\x97',  'C' },
    { '\x90',  'E' },
    { '\x92',  'L' },
    { '\xA5',  'N' },
    { '\x99',  'O' },
    { '\x8E',  'S' },
    { '\xAD',  'X' },
    { '\x9A',  'Z' }
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void set_unia( char *name )
  {
  if      (inp_type == TYPE_UNSPECIFIED)
    {
    inp_type   = TYPE_UNIA;
    inp_name   = name;
    inp_get    = table_get;
    inp_tbl    = &unia_tbl;
    }
  else if (out_type == TYPE_UNSPECIFIED)
    {
    out_type   = TYPE_UNIA;
    out_name   = name;
    out_put    = table_put;
    out_tbl    = &unia_tbl;
    }
  else
    {
    fprintf( stderr, "Too many switches\a\n" );
    help();
    }
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_unia( void )
  {
  return table_test( &unia_tbl );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_unia( void )
  {
  tests[ TYPE_UNIA ].key	= "-u";
  tests[ TYPE_UNIA ].name	= "Unia";
  tests[ TYPE_UNIA ].set	= set_unia;
  tests[ TYPE_UNIA ].char_tst	= NULL;
  tests[ TYPE_UNIA ].freq_tst	= test_unia;
  }

/*********************************************************************/
